Package com.sun.mail.smtp

# Class SMTPSaslAuthenticator

java.lang.Object
com.sun.mail.smtp.SMTPSaslAuthenticator

All Implemented Interfaces:
  `SaslAuthenticator`

public class SMTPSaslAuthenticator extends Object implements SaslAuthenticator
This class contains a single method that does authentication using SASL. This is in a separate class so that it can be compiled with J2SE 1.5. Eventually it should be merged into SMTPTransport.java.

## Constructor Summary

Constructors
Constructor
Description
`SMTPSaslAuthenticator(SMTPTransport pr, String name, Properties props, MailLogger logger, String host)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`authenticate(String[] mechs, String realm, String authzid, String u, String p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SMTPSaslAuthenticator

public SMTPSaslAuthenticator(SMTPTransport pr, String name, Properties props, MailLogger logger, String host)

## Method Details

### authenticate

public boolean authenticate(String[] mechs, String realm, String authzid, String u, String p) throws MessagingException

Specified by:
  `authenticate` in interface `SaslAuthenticator`
Throws:
  `MessagingException`